View Issue Details

IDProjectCategoryView StatusLast Update
0030416Open CASCADEOCCT:Foundation Classespublic2018-12-30 14:46
Reportermsv Assigned Tomsv  
PrioritynormalSeverityminor 
Status closedResolutionfixed 
Product Version7.3.0 
Target Version7.4.0Fixed in Version7.4.0 
Summary0030416: Incorrect implementation of the method Bnd_OBB::SquareExtent
DescriptionImplementation of the method Bnd_OBB::SquareExtent is the following:
  //! Returns square diagonal of this box
  Standard_Real SquareExtent() const
  {
    return (4.0*myHDims[0] * myHDims[0] + 
            myHDims[1] * myHDims[1] +
            myHDims[1] * myHDims[1]);
  }

It must be as this:
  //! Returns square diagonal of this box
  Standard_Real SquareExtent() const
  {
    return 4.0 * (myHDims[0] * myHDims[0] + 
                  myHDims[1] * myHDims[1] +
                  myHDims[2] * myHDims[2]);
  }

Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed

Activities

msv

2018-12-17 15:16

developer   ~0081539

This method has not been used yet anywhere in OCCT.

git

2018-12-17 15:19

administrator   ~0081540

Branch CR30416 has been created by msv.

SHA-1: 4b97f9b15b9ee39466ad827ec9f28688d893365d


Detailed log of new commits:

Author: msv
Date: Mon Dec 17 15:16:55 2018 +0300

    0030416: Incorrect implementation of the method Bnd_OBB::SquareExtent
    
    The method Bnd_OBB::SquareExtent has been corrected.

msv

2018-12-17 17:10

developer   ~0081541

Test results are here http://jenkins-test-12.nnov.opencascade.com/view/CR30416-master-msv/view/COMPARE/

msv

2018-12-17 17:10

developer   ~0081542

Please review.

emv

2018-12-18 09:54

developer   ~0081544

Reviewed.

apn

2018-12-18 11:28

administrator   ~0081550

Combination -
OCCT branch : CR30416 SHA - 4b97f9b15b9ee39466ad827ec9f28688d893365d
Products branch : master SHA - 4b92b1495aa4777a767cfbc88afc00a4e9fb1b5f
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 16356.83000000011 / 16383.840000000093 [-0.16%]
Products
Total CPU difference: 7158.5100000000375 / 7155.460000000033 [+0.04%]
Windows-64-VC14:
OCCT
Total CPU difference: 17769.03125 / 17743.1875 [+0.15%]
Products
Total CPU difference: 8580.78125 / 8599.515625 [-0.22%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2018-12-30 14:46

administrator   ~0081656

Branch CR30416 has been deleted by inv.

SHA-1: 4b97f9b15b9ee39466ad827ec9f28688d893365d

Related Changesets

occt: master 4b97f9b1

2018-12-17 12:16:55

msv


Committer: msv Details Diff
0030416: Incorrect implementation of the method Bnd_OBB::SquareExtent

The method Bnd_OBB::SquareExtent has been corrected.
Affected Issues
0030416
mod - src/Bnd/Bnd_OBB.hxx Diff File

Issue History

Date Modified Username Field Change
2018-12-17 15:14 msv New Issue
2018-12-17 15:14 msv Assigned To => abv
2018-12-17 15:16 msv Note Added: 0081539
2018-12-17 15:19 git Note Added: 0081540
2018-12-17 15:23 msv Assigned To abv => msv
2018-12-17 15:23 msv Status new => assigned
2018-12-17 17:10 msv Note Added: 0081541
2018-12-17 17:10 msv Note Added: 0081542
2018-12-17 17:10 msv Assigned To msv => emv
2018-12-17 17:10 msv Status assigned => resolved
2018-12-17 17:10 msv Steps to Reproduce Updated
2018-12-18 09:54 emv Note Added: 0081544
2018-12-18 09:54 emv Assigned To emv => bugmaster
2018-12-18 09:54 emv Status resolved => reviewed
2018-12-18 11:28 apn Test case number => Not needed
2018-12-18 11:28 apn Note Added: 0081550
2018-12-18 11:28 apn Status reviewed => tested
2018-12-22 14:32 msv Changeset attached => occt master 4b97f9b1
2018-12-22 14:32 msv Assigned To bugmaster => msv
2018-12-22 14:32 msv Status tested => verified
2018-12-22 14:32 msv Resolution open => fixed
2018-12-30 14:46 git Note Added: 0081656